## org.gnu.gtk
Class BindingSet

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gtk.BindingSet

public class BindingSet
extends Boxed

Key bindings for individual widgets. TODO: Complete javadocs.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`BindingSet(java.lang.String setName)` Construct a new BindingSet.

Method Summary
`boolean` `activateBindings(KeySymbol keyval, ModifierType modifier)`
`boolean` `activateBindingSet(KeySymbol keyval, ModifierType modifier)`
`boolean` `activateEvent(EventKey event)` Looks up key bindings for this BindingSet to find one that matches `event`, and if one was found, activate it.
`void` `addPath(PathType pathType, java.lang.String pathPattern, PathPriorityType priority)`
`void` `clearEntry(KeySymbol keyval, ModifierType modifier)` Clears a BindingSet entry.
`static BindingSet` `findBindingSet(java.lang.String setName)` Finds a BindingSet object given the name.
`protected static void` `gtk_binding_entry_clear(Handle bindingSet, int keyval, int modifier)`
`protected static boolean` `gtk_binding_set_activate(Handle bindingSet, int keyval, int modifier, Handle object)`
`protected static void` `gtk_binding_set_add_path(Handle bindingSet, int pathType, java.lang.String pathPattern, int priority)`
`protected static Handle` `gtk_binding_set_find(java.lang.String setName)`
`protected static Handle` `gtk_binding_set_new(java.lang.String setName)`
`protected static boolean` `gtk_bindings_activate(Handle object, int keyval, int modifier)`
`void` `removeEntry(KeySymbol keyval, ModifierType modifier)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingSet

    public BindingSet(java.lang.String setName)

  Construct a new BindingSet.

Parameters:
  `setName` - The name of the BindingSet

Method Detail

### findBindingSet

    public static BindingSet findBindingSet(java.lang.String setName)

  Finds a BindingSet object given the name.

  Parameters:
    `setName` - The name of the BindingSet to find
  Returns:
    A BindingSet object

### activateBindings

    public boolean activateBindings(KeySymbol keyval,
                                    ModifierType modifier)

  Parameters:
    `keyval` - The key value for the BindingSet.
    `modifier` - The key modifier for the BindingSet

### activateBindingSet

    public boolean activateBindingSet(KeySymbol keyval,
                                      ModifierType modifier)

  Parameters:
    `keyval` - The key value for the BindingSet.
    `modifier` - The key modifier for the BindingSet

### clearEntry

    public void clearEntry(KeySymbol keyval,
                           ModifierType modifier)

  Clears a BindingSet entry.

  Parameters:
    `keyval` - The key value for the BindingSet.
    `modifier` - The key modifier for the BindingSet

### addPath

    public void addPath(PathType pathType,
                        java.lang.String pathPattern,
                        PathPriorityType priority)

  Parameters:
    `pathType` -
    `pathPattern` -
    `priority` -

### activateEvent

    public boolean activateEvent(EventKey event)

  Looks up key bindings for this BindingSet to find one that matches `event`, and if one was found, activate it.

  Returns:
    TRUE if a matching key binding was found.

### removeEntry

    public void removeEntry(KeySymbol keyval,
                            ModifierType modifier)

### gtk_binding_set_new

    protected static final Handle gtk_binding_set_new(java.lang.String setName)

### gtk_binding_set_find

    protected static final Handle gtk_binding_set_find(java.lang.String setName)

### gtk_bindings_activate

    protected static final boolean gtk_bindings_activate(Handle object,
                                                         int keyval,
                                                         int modifier)

### gtk_binding_set_activate

    protected static final boolean gtk_binding_set_activate(Handle bindingSet,
                                                            int keyval,
                                                            int modifier,
                                                            Handle object)

### gtk_binding_entry_clear

    protected static final void gtk_binding_entry_clear(Handle bindingSet,
                                                        int keyval,
                                                        int modifier)

### gtk_binding_set_add_path

    protected static final void gtk_binding_set_add_path(Handle bindingSet,
                                                         int pathType,
                                                         java.lang.String pathPattern,
                                                         int priority)